Index: extensions/dict_dcca_3gpp/dict_dcca_3gpp.c
===================================================================
--- extensions/dict_dcca_3gpp/dict_dcca_3gpp.c	(revision 1491)
+++ extensions/dict_dcca_3gpp/dict_dcca_3gpp.c	(revision 1492)
@@ -1934,4 +1934,907 @@
 
 	/*==================================================================*/
+	/* 3GPP TS 29.172 V15.2.0 (2019-12)                                 */
+	/* From 3GPP 29172-f20.docx                                         */
+	/*==================================================================*/
+
+	/*==================================================================*/
+	/* 3GPP TS 29.172 Table 7.4.1-1: Diameter ELP Application AVPs      */
+	/*==================================================================*/
+
+	/* SLg-Location-Type, Enumerated, code 2500, section 7.4.2          */
+	{
+		struct dict_avp_data data = {
+			2500,	/* Code */
+			10415,	/* Vendor */
+			"SLg-Location-Type",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/SLg-Location-Type)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* LCS-EPS-Client-Name, Grouped, code 2501, section 7.4.3           */
+	{
+		struct dict_avp_data data = {
+			2501,	/* Code */
+			10415,	/* Vendor */
+			"LCS-EPS-Client-Name",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-Requestor-Name, Grouped, code 2502, section 7.4.4            */
+	{
+		struct dict_avp_data data = {
+			2502,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Requestor-Name",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-Priority, Unsigned32, code 2503, section 7.4.5               */
+	{
+		struct dict_avp_data data = {
+			2503,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Priority",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-QoS, Grouped, code 2504, section 7.4.6                       */
+	{
+		struct dict_avp_data data = {
+			2504,	/* Code */
+			10415,	/* Vendor */
+			"LCS-QoS",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Horizontal-Accuracy, Unsigned32, code 2505, section 7.4.7        */
+	{
+		struct dict_avp_data data = {
+			2505,	/* Code */
+			10415,	/* Vendor */
+			"Horizontal-Accuracy",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Vertical-Accuracy, Unsigned32, code 2506, section 7.4.8          */
+	{
+		struct dict_avp_data data = {
+			2506,	/* Code */
+			10415,	/* Vendor */
+			"Vertical-Accuracy",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Vertical-Requested, Enumerated, code 2507, section 7.4.9         */
+	{
+		struct dict_avp_data data = {
+			2507,	/* Code */
+			10415,	/* Vendor */
+			"Vertical-Requested",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Vertical-Requested)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Velocity-Requested, Enumerated, code 2508, section 7.4.10        */
+	{
+		struct dict_avp_data data = {
+			2508,	/* Code */
+			10415,	/* Vendor */
+			"Velocity-Requested",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Velocity-Requested)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Response-Time, Enumerated, code 2509, section 7.4.11             */
+	{
+		struct dict_avp_data data = {
+			2509,	/* Code */
+			10415,	/* Vendor */
+			"Response-Time",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Response-Time)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Supported-GAD-Shapes, Unsigned32, code 2510, section 7.4.12      */
+	{
+		struct dict_avp_data data = {
+			2510,	/* Code */
+			10415,	/* Vendor */
+			"Supported-GAD-Shapes",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-Codeword, UTF8String, code 2511, section 7.4.13              */
+	{
+		struct dict_avp_data data = {
+			2511,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Codeword",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, UTF8String_type, NULL);
+	};
+
+	/* LCS-Privacy-Check, Enumerated, code 2512, section 7.4.14         */
+	{
+		struct dict_avp_data data = {
+			2512,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Privacy-Check",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/LCS-Privacy-Check)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Accuracy-Fulfilment-Indicator, Enumerated, code 2513, section 7.4.15 */
+	{
+		struct dict_avp_data data = {
+			2513,	/* Code */
+			10415,	/* Vendor */
+			"Accuracy-Fulfilment-Indicator",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Accuracy-Fulfilment-Indicator)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Age-Of-Location-Estimate, Unsigned32, code 2514, section 7.4.16  */
+	{
+		struct dict_avp_data data = {
+			2514,	/* Code */
+			10415,	/* Vendor */
+			"Age-Of-Location-Estimate",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Velocity-Estimate, OctetString, code 2515, section 7.4.17        */
+	{
+		struct dict_avp_data data = {
+			2515,	/* Code */
+			10415,	/* Vendor */
+			"Velocity-Estimate",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* EUTRAN-Positioning-Data, OctetString, code 2516, section 7.4.18  */
+	{
+		struct dict_avp_data data = {
+			2516,	/* Code */
+			10415,	/* Vendor */
+			"EUTRAN-Positioning-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* ECGI, OctetString, code 2517, section 7.4.19                     */
+	{
+		struct dict_avp_data data = {
+			2517,	/* Code */
+			10415,	/* Vendor */
+			"ECGI",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Location-Event, Enumerated, code 2518, section 7.4.20            */
+	{
+		struct dict_avp_data data = {
+			2518,	/* Code */
+			10415,	/* Vendor */
+			"Location-Event",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Location-Event)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Pseudonym-Indicator, Enumerated, code 2519, section 7.4.21       */
+	{
+		struct dict_avp_data data = {
+			2519,	/* Code */
+			10415,	/* Vendor */
+			"Pseudonym-Indicator",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Pseudonym-Indicator)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* LCS-Service-Type-ID, Unsigned32, code 2520, section 7.4.22       */
+	{
+		struct dict_avp_data data = {
+			2520,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Service-Type-ID",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-Privacy-Check-Non-Session, Grouped, code 2521, section 7.4.23 */
+	{
+		struct dict_avp_data data = {
+			2521,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Privacy-Check-Non-Session",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-Privacy-Check-Session, Grouped, code 2522, section 7.4.24    */
+	{
+		struct dict_avp_data data = {
+			2522,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Privacy-Check-Session",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-QoS-Class, Enumerated, code 2523, section 7.4.27             */
+	{
+		struct dict_avp_data data = {
+			2523,	/* Code */
+			10415,	/* Vendor */
+			"LCS-QoS-Class",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/LCS-QoS-Class)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* GERAN-Positioning-Info, Grouped, code 2524, section 7.4.29       */
+	{
+		struct dict_avp_data data = {
+			2524,	/* Code */
+			10415,	/* Vendor */
+			"GERAN-Positioning-Info",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* GERAN-Positioning-Data, OctetString, code 2525, section 7.4.30   */
+	{
+		struct dict_avp_data data = {
+			2525,	/* Code */
+			10415,	/* Vendor */
+			"GERAN-Positioning-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* GERAN-GANSS-Positioning-Data, OctetString, code 2526, section 7.4.31 */
+	{
+		struct dict_avp_data data = {
+			2526,	/* Code */
+			10415,	/* Vendor */
+			"GERAN-GANSS-Positioning-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* UTRAN-Positioning-Info, Grouped, code 2527, section 7.4.32       */
+	{
+		struct dict_avp_data data = {
+			2527,	/* Code */
+			10415,	/* Vendor */
+			"UTRAN-Positioning-Info",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* UTRAN-Positioning-Data, OctetString, code 2528, section 7.4.33   */
+	{
+		struct dict_avp_data data = {
+			2528,	/* Code */
+			10415,	/* Vendor */
+			"UTRAN-Positioning-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* UTRAN-GANSS-Positioning-Data, OctetString, code 2529, section 7.4.34 */
+	{
+		struct dict_avp_data data = {
+			2529,	/* Code */
+			10415,	/* Vendor */
+			"UTRAN-GANSS-Positioning-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LRR-Flags, Unsigned32, code 2530, section 7.4.35                 */
+	{
+		struct dict_avp_data data = {
+			2530,	/* Code */
+			10415,	/* Vendor */
+			"LRR-Flags",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LCS-Reference-Number, OctetString, code 2531, section 7.4.37     */
+	{
+		struct dict_avp_data data = {
+			2531,	/* Code */
+			10415,	/* Vendor */
+			"LCS-Reference-Number",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Deferred-Location-Type, Unsigned32, code 2532, section 7.4.36    */
+	{
+		struct dict_avp_data data = {
+			2532,	/* Code */
+			10415,	/* Vendor */
+			"Deferred-Location-Type",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Area-Event-Info, Grouped, code 2533, section 7.4.38              */
+	{
+		struct dict_avp_data data = {
+			2533,	/* Code */
+			10415,	/* Vendor */
+			"Area-Event-Info",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Area-Definition, Grouped, code 2534, section 7.4.39              */
+	{
+		struct dict_avp_data data = {
+			2534,	/* Code */
+			10415,	/* Vendor */
+			"Area-Definition",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Area, Grouped, code 2535, section 7.4.40                         */
+	{
+		struct dict_avp_data data = {
+			2535,	/* Code */
+			10415,	/* Vendor */
+			"Area",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Area-Type, Unsigned32, code 2536, section 7.4.41                 */
+	{
+		struct dict_avp_data data = {
+			2536,	/* Code */
+			10415,	/* Vendor */
+			"Area-Type",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Area-Identification, Grouped, code 2537, section 7.4.42          */
+	{
+		struct dict_avp_data data = {
+			2537,	/* Code */
+			10415,	/* Vendor */
+			"Area-Identification",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Occurrence-Info, Enumerated, code 2538, section 7.4.43           */
+	{
+		struct dict_avp_data data = {
+			2538,	/* Code */
+			10415,	/* Vendor */
+			"Occurrence-Info",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Occurrence-Info)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Interval-Time, Unsigned32, code 2539, section 7.4.44             */
+	{
+		struct dict_avp_data data = {
+			2539,	/* Code */
+			10415,	/* Vendor */
+			"Interval-Time",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Periodic-LDR-Information, Grouped, code 2540, section 7.4.45     */
+	{
+		struct dict_avp_data data = {
+			2540,	/* Code */
+			10415,	/* Vendor */
+			"Periodic-LDR-Information",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Reporting-Amount, Unsigned32, code 2541, section 7.4.46          */
+	{
+		struct dict_avp_data data = {
+			2541,	/* Code */
+			10415,	/* Vendor */
+			"Reporting-Amount",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Reporting-Interval, Unsigned32, code 2542, section 7.4.47        */
+	{
+		struct dict_avp_data data = {
+			2542,	/* Code */
+			10415,	/* Vendor */
+			"Reporting-Interval",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Reporting-PLMN-List, Grouped, code 2543, section 7.4.48          */
+	{
+		struct dict_avp_data data = {
+			2543,	/* Code */
+			10415,	/* Vendor */
+			"Reporting-PLMN-List",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* PLMN-ID-List, Grouped, code 2544, section 7.4.49                 */
+	{
+		struct dict_avp_data data = {
+			2544,	/* Code */
+			10415,	/* Vendor */
+			"PLMN-ID-List",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* PLR-Flags, Unsigned32, code 2545, section 7.4.52                 */
+	{
+		struct dict_avp_data data = {
+			2545,	/* Code */
+			10415,	/* Vendor */
+			"PLR-Flags",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* PLA-Flags, Unsigned32, code 2546, section 7.4.53                 */
+	{
+		struct dict_avp_data data = {
+			2546,	/* Code */
+			10415,	/* Vendor */
+			"PLA-Flags",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Deferred-MT-LR-Data, Grouped, code 2547, section 7.4.54          */
+	{
+		struct dict_avp_data data = {
+			2547,	/* Code */
+			10415,	/* Vendor */
+			"Deferred-MT-LR-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Termination-Cause, Unsigned32, code 2548, section 7.4.55         */
+	{
+		struct dict_avp_data data = {
+			2548,	/* Code */
+			10415,	/* Vendor */
+			"Termination-Cause",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* LRA-Flags, Unsigned32, code 2549, section 7.4.56                 */
+	{
+		struct dict_avp_data data = {
+			2549,	/* Code */
+			10415,	/* Vendor */
+			"LRA-Flags",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Periodic-Location-Support-Indicator, Enumerated, code 2550, section 7.4.50 */
+	{
+		struct dict_avp_data data = {
+			2550,	/* Code */
+			10415,	/* Vendor */
+			"Periodic-Location-Support-Indicator",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Periodic-Location-Support-Indicator)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* Prioritized-List-Indicator, Enumerated, code 2551, section 7.4.51 */
+	{
+		struct dict_avp_data data = {
+			2551,	/* Code */
+			10415,	/* Vendor */
+			"Prioritized-List-Indicator",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_INTEGER32	/* base type of data */
+		};
+		struct dict_object	*type;
+		struct dict_type_data	 tdata = { AVP_TYPE_INTEGER32, "Enumerated(3GPP/Prioritized-List-Indicator)", NULL, NULL, NULL };
+		CHECK_dict_new(DICT_TYPE, &tdata, NULL, &type);
+		CHECK_dict_new(DICT_AVP, &data, type, NULL);
+	};
+
+	/* ESMLC-Cell-Info, Grouped, code 2552, section 7.4.57              */
+	{
+		struct dict_avp_data data = {
+			2552,	/* Code */
+			10415,	/* Vendor */
+			"ESMLC-Cell-Info",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Cell-Portion-ID, Unsigned32, code 2553, section 7.4.58           */
+	{
+		struct dict_avp_data data = {
+			2553,	/* Code */
+			10415,	/* Vendor */
+			"Cell-Portion-ID",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* 1xRTT-RCID, OctetString, code 2554, section 7.4.59               */
+	{
+		struct dict_avp_data data = {
+			2554,	/* Code */
+			10415,	/* Vendor */
+			"1xRTT-RCID",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Delayed-Location-Reporting-Data, Grouped, code 2555, section 7.4.60 */
+	{
+		struct dict_avp_data data = {
+			2555,	/* Code */
+			10415,	/* Vendor */
+			"Delayed-Location-Reporting-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Civic-Address, UTF8String, code 2556, section 7.4.61             */
+	{
+		struct dict_avp_data data = {
+			2556,	/* Code */
+			10415,	/* Vendor */
+			"Civic-Address",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, UTF8String_type, NULL);
+	};
+
+	/* Barometric-Pressure, Unsigned32, code 2557, section 7.4.62       */
+	{
+		struct dict_avp_data data = {
+			2557,	/* Code */
+			10415,	/* Vendor */
+			"Barometric-Pressure",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* UTRAN-Additional-Positioning-Data, OctetString, code 2558, section 7.4.63 */
+	{
+		struct dict_avp_data data = {
+			2558,	/* Code */
+			10415,	/* Vendor */
+			"UTRAN-Additional-Positioning-Data",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_OCTETSTRING	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Motion-Event-Info, Grouped, code 2559, section 7.4.64            */
+	{
+		struct dict_avp_data data = {
+			2559,	/* Code */
+			10415,	/* Vendor */
+			"Motion-Event-Info",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Linear-Distance, Unsigned32, code 2560, section 7.4.65           */
+	{
+		struct dict_avp_data data = {
+			2560,	/* Code */
+			10415,	/* Vendor */
+			"Linear-Distance",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Maximum-Interval, Unsigned32, code 2561, section 7.4.66          */
+	{
+		struct dict_avp_data data = {
+			2561,	/* Code */
+			10415,	/* Vendor */
+			"Maximum-Interval",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Sampling-Interval, Unsigned32, code 2562, section 7.4.67         */
+	{
+		struct dict_avp_data data = {
+			2562,	/* Code */
+			10415,	/* Vendor */
+			"Sampling-Interval",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Reporting-Duration, Unsigned32, code 2563, section 7.4.68        */
+	{
+		struct dict_avp_data data = {
+			2563,	/* Code */
+			10415,	/* Vendor */
+			"Reporting-Duration",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Reporting-Location-Requirements, Unsigned32, code 2564, section 7.4.69 */
+	{
+		struct dict_avp_data data = {
+			2564,	/* Code */
+			10415,	/* Vendor */
+			"Reporting-Location-Requirements",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_UNSIGNED32	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/* Additional-Area, Grouped, code 2565, section 7.4.70              */
+	{
+		struct dict_avp_data data = {
+			2565,	/* Code */
+			10415,	/* Vendor */
+			"Additional-Area",	/* Name */
+			AVP_FLAG_VENDOR |AVP_FLAG_MANDATORY,	/* Fixed flags */
+			AVP_FLAG_VENDOR,	/* Fixed flag values */
+			AVP_TYPE_GROUPED	/* base type of data */
+		};
+		CHECK_dict_new(DICT_AVP, &data, NULL, NULL);
+	};
+
+	/*==================================================================*/
 	/* 3GPP TS 29.173 V15.0.0 (2018-06)                                 */
 	/* From 3GPP 29173-f00.doc                                          */
Index: extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv
===================================================================
--- extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1491)
+++ extensions/dict_dcca_3gpp/dict_dcca_3gpp.csv	(revision 1492)
@@ -141,5 +141,5 @@
 MBMS-Cell-List,934,20.5a.12,OctetString,V,P,,M,Y
 ,,,,,,,,
-@standard,3GPP TS 29.129,,,,,,,
+@standard,3GPP TS 29.128,,,,,,,
 #=,,,,,,,,
 # 3GPP TS 29.128 V15.6.0 (2019-09),,,,,,,,
@@ -217,4 +217,81 @@
 Status-Text,1118,6.3.21,UTF8String,"M,V",,,,N
 Routeing-Address-Resolution,1119,6.3.22,Enumerated,"M,V",,,,N
+,,,,,,,,
+@standard,3GPP TS 29.172,,,,,,,
+#=,,,,,,,,
+# 3GPP TS 29.172 V15.2.0 (2019-12),,,,,,,,
+# From 3GPP 29172-f20.docx,,,,,,,,
+#=,,,,,,,,
+#,,,,,,,,
+#=,,,,,,,,
+# 3GPP TS 29.172 Table 7.4.1-1: Diameter ELP Application AVPs,,,,,,,,
+#=,,,,,,,,
+#,,,,,,,,
+SLg-Location-Type,2500,7.4.2,Enumerated,"M, V",,,,No
+LCS-EPS-Client-Name,2501,7.4.3,Grouped,"M, V",,,,No
+LCS-Requestor-Name,2502,7.4.4,Grouped,"M, V",,,,No
+LCS-Priority,2503,7.4.5,Unsigned32,"M, V",,,,No
+LCS-QoS,2504,7.4.6,Grouped,"M, V",,,,No
+Horizontal-Accuracy,2505,7.4.7,Unsigned32,"M, V",,,,No
+Vertical-Accuracy,2506,7.4.8,Unsigned32,"M, V",,,,No
+Vertical-Requested,2507,7.4.9,Enumerated,"M, V",,,,No
+Velocity-Requested,2508,7.4.10,Enumerated,"M, V",,,,No
+Response-Time,2509,7.4.11,Enumerated,"M, V",,,,No
+Supported-GAD-Shapes,2510,7.4.12,Unsigned32,"M, V",,,,No
+LCS-Codeword,2511,7.4.13,UTF8String,"M, V",,,,No
+LCS-Privacy-Check,2512,7.4.14,Enumerated,"M, V",,,,No
+Accuracy-Fulfilment-Indicator,2513,7.4.15,Enumerated,"M, V",,,,No
+Age-Of-Location-Estimate,2514,7.4.16,Unsigned32,"M, V",,,,No
+Velocity-Estimate,2515,7.4.17,OctetString,"M, V",,,,No
+EUTRAN-Positioning-Data,2516,7.4.18,OctetString,"M, V",,,,No
+ECGI,2517,7.4.19,OctetString,"M, V",,,,No
+Location-Event,2518,7.4.20,Enumerated,"M, V",,,,No
+Pseudonym-Indicator,2519,7.4.21,Enumerated,"M, V",,,,No
+LCS-Service-Type-ID,2520,7.4.22,Unsigned32,"M, V",,,,No
+LCS-Privacy-Check-Non-Session,2521,7.4.23,Grouped,"M, V",,,,No
+LCS-Privacy-Check-Session,2522,7.4.24,Grouped,"M, V",,,,No
+LCS-QoS-Class,2523,7.4.27,Enumerated,"M, V",,,,No
+GERAN-Positioning-Info,2524,7.4.29,Grouped,V,,,M,No
+GERAN-Positioning-Data,2525,7.4.30,OctetString,V,,,M,No
+GERAN-GANSS-Positioning-Data,2526,7.4.31,OctetString,V,,,M,No
+UTRAN-Positioning-Info,2527,7.4.32,Grouped,V,,,M,No
+UTRAN-Positioning-Data,2528,7.4.33,OctetString,V,,,M,No
+UTRAN-GANSS-Positioning-Data,2529,7.4.34,OctetString,V,,,M,No
+LRR-Flags,2530,7.4.35,Unsigned32,V,,,M,No
+LCS-Reference-Number,2531,7.4.37,OctetString,V,,,M,No
+Deferred-Location-Type,2532,7.4.36,Unsigned32,V,,,M,No
+Area-Event-Info,2533,7.4.38,Grouped,V,,,M,No
+Area-Definition,2534,7.4.39,Grouped,V,,,M,No
+Area,2535,7.4.40,Grouped,V,,,M,No
+Area-Type,2536,7.4.41,Unsigned32,V,,,M,No
+Area-Identification,2537,7.4.42,Grouped,V,,,M,No
+Occurrence-Info,2538,7.4.43,Enumerated,V,,,M,No
+Interval-Time,2539,7.4.44,Unsigned32,V,,,M,No
+Periodic-LDR-Information,2540,7.4.45,Grouped,V,,,M,No
+Reporting-Amount,2541,7.4.46,Unsigned32,V,,,M,No
+Reporting-Interval,2542,7.4.47,Unsigned32,V,,,M,No
+Reporting-PLMN-List,2543,7.4.48,Grouped,V,,,M,No
+PLMN-ID-List,2544,7.4.49,Grouped,V,,,M,No
+PLR-Flags,2545,7.4.52,Unsigned32,V,,,M,No
+PLA-Flags,2546,7.4.53,Unsigned32,V,,,M,No
+Deferred-MT-LR-Data,2547,7.4.54,Grouped,V,,,M,No
+Termination-Cause,2548,7.4.55,Unsigned32,V,,,M,No
+LRA-Flags,2549,7.4.56,Unsigned32,V,,,M,No
+Periodic-Location-Support-Indicator,2550,7.4.50,Enumerated,V,,,M,No
+Prioritized-List-Indicator,2551,7.4.51,Enumerated,V,,,M,No
+ESMLC-Cell-Info,2552,7.4.57,Grouped,V,,,M,No
+Cell-Portion-ID,2553,7.4.58,Unsigned32,V,,,M,No
+1xRTT-RCID,2554,7.4.59,OctetString,V,,,M,No
+Delayed-Location-Reporting-Data,2555,7.4.60,Grouped,V,,,M,No
+Civic-Address,2556,7.4.61,UTF8String,V,,,M,No
+Barometric-Pressure,2557,7.4.62,Unsigned32,V,,,M,No
+UTRAN-Additional-Positioning-Data,2558,7.4.63,OctetString,V,,,M,No
+Motion-Event-Info,2559,7.4.64,Grouped,V,,,M,No
+Linear-Distance,2560,7.4.65,Unsigned32,V,,,M,No
+Maximum-Interval,2561,7.4.66,Unsigned32,V,,,M,No
+Sampling-Interval,2562,7.4.67,Unsigned32,V,,,M,No
+Reporting-Duration,2563,7.4.68,Unsigned32,V,,,M,No
+Reporting-Location-Requirements,2564,7.4.69,Unsigned32,V,,,M,No
+Additional-Area,2565,7.4.70,Grouped,V,,,M,No
 ,,,,,,,,
 @standard,3GPP TS 29.173,,,,,,,
